.video-banner .baner__media {
  background-position: top;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: 1;
  background-color: #000;
}

.video-banner .banner__media .deferred-media {
  height: 100%;
  width: 100%;
  inset: 0;
  position: absolute;

  iframe,
  video {
    height: 100%;
    width: 100%;
    pointer-events: none;
  }

  video {
    font-family: 'object-fit: cover';
    -o-object-fit: cover;
    object-fit: cover;
    position: relative;
  }

  iframe {
    left: -100%;
    max-width: none;
    position: absolute;
    top: 0;
    width: 300%;
  }
}

@media screen and (min-width: 1024px) {
  .video-banner .banner__media .deferred-media iframe {
    height: 300%;
    left: auto;
    top: -100%;
    width: 100%;
  }
}
